Bug 561103

Summary: Guest network routing failure
Product: [Fedora] Fedora Reporter: Adam Huffman <bloch>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, clalance, crobinso, gael.chamoulaud, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-17 14:09:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Huffman 2010-02-02 12:58:11 EST
Description of problem:
On an F12 box installed from scratch, I'm having severe networking problems with libvirt-managed guests.  Both a Windows 7 and a Centos 5.4 guest have no routing - they cannot reach beyond the host, even though they're using the default NAT network.  The only rules I added to the default iptables set were for a Samba share on the host.

Version-Release number of selected component (if applicable):
libvirt-0.7.5-3.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gael Chamoulaud 2010-06-17 10:47:28 EDT
I am getting the same trouble on my laptop with default NAT configuration (virbr0)

Laptop with F12 i386 and libvirt-0.7.7-4.fc12.i686 from fedora-rawvirt.repo

To reproduce:
1. virsh net-edit default.xml (to add some new IPs for new VM, in my case)
2. virsh net-destroy default.xml
3. virsh net-start default.xml

After this manipulation, the communication between the host and the VMs is unreachable
Comment 2 Bug Zapper 2010-11-03 19:14:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2010-11-17 14:09:46 EST
Adam, since this bug is pretty old, I'm closing for now, but please reopen if you can reproduce with F13 or later and we can debug further.

Gael (comment #2), sounds like that is a separate issue: I'm not sure if restarting a virtual network while VMs are running is expected to take out host->guest communication, so if you can reproduce against f13 or later please open a separate report.